%global php_libname          nusoap
Name:      php-nusoap
Version:   0.7.3
Release:   2%{?dist}
License:   LGPLv2+
Summary:   SOAP Toolkit for PHP 
Group:     Development/Libraries
URL:       http://nusoap.sourceforge.net/
Source:    http://downloads.sourceforge.net/%{php_libname}/%{php_libname}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  php-common
BuildRequires: dos2unix
BuildArch: noarch

%description
NuSOAP is a rewrite of SOAPx4, provided by NuSphere and Dietrich Ayala. It is 
a set of PHP classes - no PHP extensions required - that allow developers to 
create and consume web services based on SOAP 1.1, WSDL 1.1 and HTTP 1.0/1.1.

%prep
%setup -c -q
dos2unix samples/*
dos2unix lib/changelog
iconv -f iso8859-1 -t utf-8 lib/changelog > lib/changelog.txt && mv -f lib/changelog.txt lib/changelog

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/php/%{php_libname}
cp -a lib/*.php %{buildroot}%{_datadir}/php/%{php_libname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc samples lib/changelog
%{_datadir}/php/%{php_libname}

%changelog
* Tue Dec 08 2009 David Nalley <david@gnsa.us> 0.7.3-2
- improved spec legibility with addition of newlines
- corrected license
- changed versioned php require to php-common
* Thu Nov 26 2009 David Nalley <david@gnsa.us> 0.7.3-1
- Initial Packaging

